Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.crypto.modes
Class CFBBlockCipher

    java.lang.Object
      org.bouncycastle.crypto.modes.CFBBlockCipher

All Implemented Interfaces:
  BlockCipher

    public class CFBBlockCipher

extends Object
implements BlockCipher

Constructor Summary
`CFBBlockCipher(BlockCipher par1BlockCipher, int par2)`

Method Summary
`void` | `func_71803_c()`
`void` | `func_71805_a(boolean par1, CipherParameters par2CipherParameters)`
`int` | `func_71806_a(byte[] par1ArrayOfByte, int par2, byte[] par3ArrayOfByte, int par4)`
`int` | `func_71807_b(byte[] par1ArrayOfByte, int par2, byte[] par3ArrayOfByte, int par4)`
`int` | `func_71808_c(byte[] par1ArrayOfByte, int par2, byte[] par3ArrayOfByte, int par4)`
`String` | `getAlgorithmName()` Return the name of the algorithm the cipher implements.
`int` | `getBlockSize()` Return the block size for this cipher (in bytes).

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CFBBlockCipher

    public CFBBlockCipher(BlockCipher par1BlockCipher,
                          int par2)

Method Detail

### func_71805_a

    public void func_71805_a(boolean par1,
                             CipherParameters par2CipherParameters)
                      throws IllegalArgumentException

  Specified by:
    `func_71805_a` in interface `BlockCipher`
  Throws:
    `IllegalArgumentException`

### getAlgorithmName

    public String getAlgorithmName()

  Return the name of the algorithm the cipher implements.

  Specified by:
    `getAlgorithmName` in interface `BlockCipher`

### getBlockSize

    public int getBlockSize()

  Return the block size for this cipher (in bytes).

  Specified by:
    `getBlockSize` in interface `BlockCipher`

### func_71806_a

    public int func_71806_a(byte[] par1ArrayOfByte,
                            int par2,
                            byte[] par3ArrayOfByte,
                            int par4)
                     throws DataLengthException,
                            IllegalStateException

  Specified by:
    `func_71806_a` in interface `BlockCipher`
  Throws:
    `DataLengthException`
    `IllegalStateException`

### func_71807_b

    public int func_71807_b(byte[] par1ArrayOfByte,
                            int par2,
                            byte[] par3ArrayOfByte,
                            int par4)
                     throws DataLengthException,
                            IllegalStateException

  Throws:
    `DataLengthException`
    `IllegalStateException`

### func_71808_c

    public int func_71808_c(byte[] par1ArrayOfByte,
                            int par2,
                            byte[] par3ArrayOfByte,
                            int par4)
                     throws DataLengthException,
                            IllegalStateException

  Throws:
    `DataLengthException`
    `IllegalStateException`

### func_71803_c

    public void func_71803_c()

  Specified by:
    `func_71803_c` in interface `BlockCipher`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD